Đến nội dung


Hình ảnh
- - - - -

Dãn các dòng text đều nhau


  • Please log in to reply
8 replies to this topic

#1 quyennv01

quyennv01

    biết vẽ polygon

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 22 April 2009 - 09:16 AM

Chào mọi người. các bạn giúp mình với nhé.
Giờ mình có các dòng text rời rạc nhau.mình muốn sắp xếp chúng sao cho các dòng chữ cách đều nhau một khoảng nào đó.mọi người viết cho mình xin cái lisp như vậy nhé.cám ơn.
  • 0

#2 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 22 April 2009 - 09:46 AM

Chào mọi người. các bạn giúp mình với nhé.
Giờ mình có các dòng text rời rạc nhau.mình muốn sắp xếp chúng sao cho các dòng chữ cách đều nhau một khoảng nào đó.mọi người viết cho mình xin cái lisp như vậy nhé.cám ơn.

Bài này chưa vừa ý bạn chăng?
"Líp giãn dòng text"

mọi người giúp mình nhé.
giờ mình có các dòng text ở các vị trí khác nhau.mình muốn đưa nó về một chỗ rồi sắp xếp thẳng hàng căn lề nào đó (trái ,phải, giữa, )và mình muốn cho các dòng text nó giãn dòng đều nhau.giúp mình nhé.cám ơn.


  • 0

#3 quyennv01

quyennv01

    biết vẽ polygon

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 22 April 2009 - 01:47 PM

Bài này chưa vừa ý bạn chăng?
"Líp giãn dòng text"

cái topic đó là do mình viết, nhưng các bài của mọi ngưòi vẫn chưa hiểu ý mình. ý mình là giờ các dòng text rời rạc của mình,mình dánh lệnh lisp.rồi chọn các dòng text. sau đó chọn khoảng cách giữa các dòng.mục đích để cho các dòng text chúng cách đều nhau.(các dòng text đây là các dòng rời rạc không phải là các dòng trong mtext).giúp mình nhé.thank.
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 22 April 2009 - 02:47 PM

cái topic đó là do mình viết, nhưng các bài của mọi ngưòi vẫn chưa hiểu ý mình. ý mình là giờ các dòng text rời rạc của mình,mình dánh lệnh lisp.rồi chọn các dòng text. sau đó chọn khoảng cách giữa các dòng.mục đích để cho các dòng text chúng cách đều nhau.(các dòng text đây là các dòng rời rạc không phải là các dòng trong mtext).giúp mình nhé.thank.

Bạn đã chạy thử Code của bác Hoành chưa vậy? Code có tính năng dãn dòng Text chứ không phải là Mtext.
Bạn phải đọc kỹ bài chứ. Đường Link đó mình đã post ngay trong topic của bạn
Chào bạn. Chúc bạn vui.
  • 1

#5 quyennv01

quyennv01

    biết vẽ polygon

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 22 April 2009 - 04:36 PM

Bạn đã chạy thử Code của bác Hoành chưa vậy? Code có tính năng dãn dòng Text chứ không phải là Mtext.
Bạn phải đọc kỹ bài chứ. Đường Link đó mình đã post ngay trong topic của bạn
Chào bạn. Chúc bạn vui.

mình làm rồi, nhưng mà khi nhập lệnh xong, chọn các dòng text thi cad không thwcj hiện lệnh nữa, bạn thử kêểm tra lại cái code đó hộ mình được không, mình chưa biết nhêều về lisp.cám ơn.
  • 0

#6 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 23 April 2009 - 08:06 AM

mình làm rồi, nhưng mà khi nhập lệnh xong, chọn các dòng text thi cad không thwcj hiện lệnh nữa, bạn thử kêểm tra lại cái code đó hộ mình được không, mình chưa biết nhêều về lisp.cám ơn.

Bạn phải đọc cho kỹ từng trang chứ?
Lệnh Stext của bác Hoành đây bạn :
(defun c:stext (/ sst lstent egoc pgoc xgoc yht zgoc linespc ee tt)
(if (not tyledong)
(setq tyledong 1.5)
)
(princ "\nSap xep text © CADViet.com")
(setq sst (ssget '((0 . "TEXT")))
lstent (ss2ent sst)
tmp (getreal (strcat "\nVao ty le dong khoang cach dong <"
(rtos tyledong 2 2)
">: "
)
)
tyledong (cond
(tmp tmp)
(t tyledong)
)
lstent (vl-sort lstent
'(lambda (e1 e2)
(> (cadr (cdr (assoc 10 (entget e1))))
(cadr (cdr (assoc 10 (entget e2))))
)
)
)
egoc (car lstent)
lstent (cdr lstent)
pgoc (cdr (assoc 10 (entget egoc)))
xgoc (car pgoc)
yht (cadr pgoc)
zgoc (caddr pgoc)
hgoc (cdr (assoc 40 (entget egoc)))
linespc (* hgoc (+ 1.0 tyledong))

)
(foreach ee lstent
(setq tt (entget ee)
tt (subst (list 10
xgoc
(setq yht (- yht linespc))
zgoc
)
(assoc 10 tt)
tt
)
)
(entmod tt)
(entupd ee)
)
(princ)
)
(defun ss2ent (ss / sodt index lstent)
(setq
sodt (cond
(ss (sslength ss))
(t 0)
)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)
(princ
"\nSTEXT - Sap xep text - free lisp from www.cadviet.com"
)
(vl-load-com)

  • 1

#7 quyennv01

quyennv01

    biết vẽ polygon

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 23 April 2009 - 01:44 PM

Bạn phải đọc cho kỹ từng trang chứ?
Lệnh Stext của bác Hoành đây bạn :

(defun c:stext (/ sst lstent egoc pgoc xgoc yht zgoc linespc ee tt)
(if (not tyledong)
(setq tyledong 1.5)
)
(princ "\nSap xep text © CADViet.com")
(setq sst (ssget '((0 . "TEXT")))
lstent (ss2ent sst)
tmp (getreal (strcat "\nVao ty le dong khoang cach dong <"
(rtos tyledong 2 2)
">: "
)
)
tyledong (cond
(tmp tmp)
(t tyledong)
)
lstent (vl-sort lstent
'(lambda (e1 e2)
(> (cadr (cdr (assoc 10 (entget e1))))
(cadr (cdr (assoc 10 (entget e2))))
)
)
)
egoc (car lstent)
lstent (cdr lstent)
pgoc (cdr (assoc 10 (entget egoc)))
xgoc (car pgoc)
yht (cadr pgoc)
zgoc (caddr pgoc)
hgoc (cdr (assoc 40 (entget egoc)))
linespc (* hgoc (+ 1.0 tyledong))

)
(foreach ee lstent
(setq tt (entget ee)
tt (subst (list 10
xgoc
(setq yht (- yht linespc))
zgoc
)
(assoc 10 tt)
tt
)
)
(entmod tt)
(entupd ee)
)
(princ)
)
(defun ss2ent (ss / sodt index lstent)
(setq
sodt (cond
(ss (sslength ss))
(t 0)
)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)
(princ
"\nSTEXT - Sap xep text - free lisp from www.cadviet.com"
)
(vl-load-com)

úi trời.lần này thì ngon rồi.cám ơn bạn nhiều nhé.
  • 0

#8 tuan_thietkedien

tuan_thietkedien

    biết lệnh mirror

  • Members
  • PipPipPip
  • 153 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 23 April 2009 - 02:47 PM

úi trời.lần này thì ngon rồi.cám ơn bạn nhiều nhé.


Chào bạn
Mình thấy bạn cám ơn mà quên bấm nút thank cho những người đã giúp bạn í. :cheers:
  • 1

#9 cad học việc

cad học việc

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 November 2015 - 02:47 PM

Mình chưa biết sử dụng lip này bạn có thể hướng dẫn cụ thể được không ?


  • 0